Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 550586 - snapshots/squashfs/sha512sum.txt not updated since 2015-05-16
Summary: snapshots/squashfs/sha512sum.txt not updated since 2015-05-16
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: Other (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Infrastructure
URL: http://distfiles.gentoo.org/snapshots...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-27 20:00 UTC by Nick Bowler
Modified: 2016-05-08 13:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Bowler 2015-05-27 20:00:15 UTC
The sha512sum.txt file, which contains the signed hashes of "all" the squashfs images, has not been updated since last week (2015-05-16).  This makes it impossible to verify the images that were generated since that date.

The most recent snapshots in the file are:

  53c248767d410e95ed5944f7158a2f69338d5dc70f89950ce5ec2d2ef6b140f1828174202f35653435f4a702b6cdf58425001dfc8472f9b3c0414a0172ecb047  gentoo-20150516.sqfs
  53c248767d410e95ed5944f7158a2f69338d5dc70f89950ce5ec2d2ef6b140f1828174202f35653435f4a702b6cdf58425001dfc8472f9b3c0414a0172ecb047  gentoo-current.sqfs
Comment 1 Matthew Thode ( prometheanfire ) archtester Gentoo Infrastructure gentoo-dev Security 2015-05-27 20:37:18 UTC
the squashfs generation script is buggy and I may disable it entirely soon.

https://bitbucket.org/mgorny/squashdelta-daily-gen/src/

that has the code for generating the snapshots, I'll cc mgorny to see what he wants done
Comment 2 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2016-05-08 13:38:00 UTC
seems fixed